ru.bitel.bgbilling.modules.bill.common.bean

## Class AbstractBillDocument

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.modules.bill.common.bean.AbstractBillDocument

- All Implemented Interfaces:
    java.io.Serializable, Idable
  Direct Known Subclasses:
    BillDocument, InvoiceDocument

      public class AbstractBillDocument
      extends Id

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractBillDocument()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAddress()`
    `java.lang.String` | `getContractComment()`
    `int` | `getContractId()`
    `java.lang.String` | `getContractTitle()`
    `int` | `getCorrection()`
    `java.util.Date` | `getDateCreated()`
    `org.w3c.dom.Document` | `getDocument()`
    `byte[]` | `getDocumentData()`
    `int` | `getDocumentSpecId()`
    `java.lang.String` | `getDocumentSpecTitle()`
    `int` | `getMonth()`
    `int` | `getNumber()`
    `java.lang.String` | `getNumberFormatted()`
    `int` | `getNumberInMonth()`
    `int` | `getNumberInYear()`
    `int` | `getNumerationPoolId()`
    `java.util.List<DocumentPosition>` | `getPositionList()`
    `java.lang.String` | `getRecipient()`
    `java.math.BigDecimal` | `getTotal()`
    `int` | `getUserId()`
    `int` | `getYear()`
    `void` | `setAddress(java.lang.String address)`
    `void` | `setContractComment(java.lang.String contractComment)`
    `void` | `setContractId(int contractId)`
    `void` | `setContractTitle(java.lang.String contractTitle)`
    `void` | `setCorrection(int correction)`
    `void` | `setDateCreated(java.util.Date dateCreated)`
    `void` | `setDocument(org.w3c.dom.Document document)`
    `void` | `setDocumentData(byte[] documentData)`
    `void` | `setDocumentSpecId(int typeId)`
    `void` | `setDocumentSpecTitle(java.lang.String typeTitle)`
    `void` | `setMonth(int month)`
    `void` | `setNumber(int number)`
    `void` | `setNumberFormatted(java.lang.String formattedNumber)`
    `void` | `setNumberInMonth(int numberInMonth)`
    `void` | `setNumberInYear(int numberInYear)`
    `void` | `setNumerationPoolId(int numerationPoolId)`
    `void` | `setPositionList(java.util.List<DocumentPosition> positionList)`
    `void` | `setRecipient(java.lang.String recipient)`
    `void` | `setTotal(java.math.BigDecimal total)`
    `void` | `setUserId(int userId)`
    `void` | `setYear(int year)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractBillDocument

          public AbstractBillDocument()

  - ### Method Detail

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getContractTitle

          public java.lang.String getContractTitle()

    - #### setContractTitle

          public void setContractTitle(java.lang.String contractTitle)

    - #### getContractComment

          public java.lang.String getContractComment()

    - #### setContractComment

          public void setContractComment(java.lang.String contractComment)

    - #### getNumber

          public int getNumber()

    - #### setNumber

          public void setNumber(int number)

    - #### getNumberInMonth

          public int getNumberInMonth()

    - #### setNumberInMonth

          public void setNumberInMonth(int numberInMonth)

    - #### getNumberInYear

          public int getNumberInYear()

    - #### setNumberInYear

          public void setNumberInYear(int numberInYear)

    - #### getNumberFormatted

          public java.lang.String getNumberFormatted()

    - #### setNumberFormatted

          public void setNumberFormatted(java.lang.String formattedNumber)

    - #### getYear

          public int getYear()

    - #### setYear

          public void setYear(int year)

    - #### getMonth

          public int getMonth()

    - #### setMonth

          public void setMonth(int month)

    - #### getDateCreated

          public java.util.Date getDateCreated()

    - #### setDateCreated

          public void setDateCreated(java.util.Date dateCreated)

    - #### getDocumentSpecId

          public int getDocumentSpecId()

    - #### setDocumentSpecId

          public void setDocumentSpecId(int typeId)

    - #### getDocumentSpecTitle

          public java.lang.String getDocumentSpecTitle()

    - #### setDocumentSpecTitle

          public void setDocumentSpecTitle(java.lang.String typeTitle)

    - #### getTotal

          public java.math.BigDecimal getTotal()

    - #### setTotal

          public void setTotal(java.math.BigDecimal total)

    - #### getDocument

          public org.w3c.dom.Document getDocument()

    - #### setDocument

          public void setDocument(org.w3c.dom.Document document)

    - #### getDocumentData

          public byte[] getDocumentData()

    - #### setDocumentData

          public void setDocumentData(byte[] documentData)

    - #### getAddress

          public java.lang.String getAddress()

    - #### setAddress

          public void setAddress(java.lang.String address)

    - #### getRecipient

          public java.lang.String getRecipient()

    - #### setRecipient

          public void setRecipient(java.lang.String recipient)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getNumerationPoolId

          public int getNumerationPoolId()

    - #### setNumerationPoolId

          public void setNumerationPoolId(int numerationPoolId)

    - #### getCorrection

          public int getCorrection()

    - #### setCorrection

          public void setCorrection(int correction)

    - #### getPositionList

          public java.util.List<DocumentPosition> getPositionList()

    - #### setPositionList

          public void setPositionList(java.util.List<DocumentPosition> positionList)